<?php
//#####
//#####
//##### Store Commander - Presta-Module Cache Manager compatibility extension - http://www.storecommander.com - http://www.presta-module.com
//#####
//#####

	if (!defined('SC_VERSION'))
		exit;

	if ($moduleInstance = Module::getInstanceByName('pm_cachemanager'))
	{
		if (version_compare($moduleInstance->version, '1.2.8', '<='))
		{
			if (is_callable(array($moduleInstance, 'clearCacheFromSC')))
				call_user_func(array($moduleInstance, 'clearCacheFromSC'));
		}else{
			//Clear product cache on product edit
			if ( ((strpos(Tools::getValue('act'),'cat_')!==false) && ((strpos(Tools::getValue('act'),'_update')!==false) || (strpos(Tools::getValue('act'),'_delete')!==false)))
						&&
					 (($id_product = Tools::getValue('id_product')) || ($id_product = Tools::getValue('product_list')) || ($id_product = Tools::getValue('idlist'))
							|| ((strpos(Tools::getValue('act'),'cat_product')!==false) && ($id_product = Tools::getValue('gr_id'))))
				) {
				pm_cachemanager::deleteCacheFromIdProduct(explode(',',$id_product));
			}
			//Clear product cache on category update
			elseif((($id_category = Tools::getValue('id_category')) || ($id_category = Tools::getValue('id_parent'))) && (Tools::getValue('act') == 'cat_category_update')) {
				$ids_product = $moduleInstance->getIdsProductFromIdCategory($id_category);
				if($moduleInstance->_isFilledArray($ids_product))
					pm_cachemanager::deleteCacheFromIdProduct($ids_product);
			}
			//Clear product cache on category move
			elseif((($id_category1 = Tools::getValue('idNewParent')) && ($id_category2 = Tools::getValue('idCateg'))) && (Tools::getValue('act') == 'cat_category_update')) {
				$ids_product = $moduleInstance->getIdsProductFromIdCategory($id_category);
				$ids_product = array_merge((array)$ids_product,(array)$moduleInstance->getIdsProductFromIdCategory($id_category2));
				if($moduleInstance->_isFilledArray($ids_product))
					pm_cachemanager::deleteCacheFromIdProduct($ids_product);
			}
			//Clear product cache on attribute group update
			elseif(($id_attribute_group = Tools::getValue('gr_id')) && Tools::getValue('act') == 'cat_group_update') {
				$ids_product = $moduleInstance->getIdsProductFromIdAttributeGroup($id_attribute_group);
				if($moduleInstance->_isFilledArray($ids_product))
					pm_cachemanager::deleteCacheFromIdProduct($ids_product);
			}
			//Clear product cache on attribute update
			elseif(($id_attribute = Tools::getValue('gr_id')) && Tools::getValue('act') == 'cat_attribute_update') {
				$ids_product = $moduleInstance->getIdsProductFromIdAttribute($id_attribute);
				if($moduleInstance->_isFilledArray($ids_product))
					pm_cachemanager::deleteCacheFromIdProduct($ids_product);
			}
			//Clear product cache on feature update
			elseif(($id_feature = Tools::getValue('gr_id')) && Tools::getValue('act') == 'cat_feature_update') {
				$ids_product = $moduleInstance->getIdsProductFromIdFeature($id_feature);
				if($moduleInstance->_isFilledArray($ids_product))
					pm_cachemanager::deleteCacheFromIdProduct($ids_product);
			}
			//Clear product cache on feature value update
			elseif(($id_feature_value = Tools::getValue('gr_id')) && Tools::getValue('act') == 'cat_featurevalue_update') {
				$ids_product = $moduleInstance->getIdsProductFromIdFeatureValue($id_feature_value);
				if($moduleInstance->_isFilledArray($ids_product))
					pm_cachemanager::deleteCacheFromIdProduct($ids_product);
			}
			
		}
	}
